core

## Class FrameA

- java.lang.Object
- - core.Frame
  - - core.FrameA

-     public class FrameA
      extends Frame

  Author:
    David Hudec (dwdization@gmail.com)

- - ### Field Summary

    - ### Fields inherited from class core.Frame

      `fields, mode, optionalBlocks`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrameA()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Field>` | `construct()` Calculates all available fields and calls getBytes() on them.
    `java.util.List<Field>` | `getBlock1Fields()` Fetches fields, belonging the block 1 of this frame
    `java.util.List<Field>` | `getBlock2Fields()` Fetches fields, belonging the block 2 of this frame
    `java.lang.String` | `toString()`

    - ### Methods inherited from class core.Frame

      `getAField, getBytes, getBytes, getBytesByClass, getCField, getCIField, getCrcField, getDataField, getFields, getLField, getMField, getMode, getOptionalBlocksCount, getPostamble, getPreamble, setAField, setCField, setCIField, setDataField, setMField, setMode, setPostamble, setPreamble`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FrameA

          public FrameA()

  - ### Method Detail

    - #### construct

          public java.util.List<Field> construct()

      Description copied from class: `Frame`
      Calculates all available fields and calls getBytes() on them.
      Specified by:
        `construct` in class `Frame`
      Returns:
        List of Fields in this Frame.

    - #### getBlock1Fields

          public java.util.List<Field> getBlock1Fields()

      Description copied from class: `Frame`
      Fetches fields, belonging the block 1 of this frame
      Specified by:
        `getBlock1Fields` in class `Frame`
      Returns:
        List of Fields within block 1 of this frame

    - #### getBlock2Fields

          public java.util.List<Field> getBlock2Fields()

      Description copied from class: `Frame`
      Fetches fields, belonging the block 2 of this frame
      Specified by:
        `getBlock2Fields` in class `Frame`
      Returns:
        List of Fields within block 2 of this frame

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Frame`